CURLOPT_NETRC_FILE(3)

NAME
CURLOPT_NETRC_FILE - filename to read .netrc info from

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_setopt(CURL *handle, CURLOPT_NETRC_FILE, char *file);

DESCRIPTION
Pass a char pointer as parameter, pointing to a null-terminated string containing the full path name to the file you want libcurl to use as .netrc file. If this option is omitted, and CURLOPT_NETRC(3) is set, libcurl checks for a .netrc file in the current user's home directory. The application does not have to keep the string around after setting this option. Using this option multiple times makes the last set string override the previous ones. Set it to NULL to disable its use again.

DEFAULT
NULL

PROTOCOLS
This functionality affects all supported protocols

EXAMPLE
int main(void)
{
  CURL *curl = curl_easy_init();
  if(curl) {
    CURLcode result;
    curl_easy_setopt(curl, CURLOPT_URL, "ftp://example.com/");
    curl_easy_setopt(curl, CURLOPT_NETRC, CURL_NETRC_OPTIONAL);
    curl_easy_setopt(curl, CURLOPT_NETRC_FILE, "/tmp/magic-netrc");
    result = curl_easy_perform(curl);
  }
}

HISTORY
CURL_NETRC_* enums became long types in 8.13.0, prior to this version a long cast was necessary when passed to curl_easy_setopt(3).

AVAILABILITY
Added in curl 7.11.0

RETURN VALUE
curl_easy_setopt(3) returns a CURLcode indicating success or error. CURLE_OK (0) means everything was OK, non-zero means an error occurred, see libcurl-errors(3).

SEE ALSO
CURLOPT_NETRC(3), CURLOPT_PASSWORD(3), CURLOPT_USERNAME(3)